Package org.apache.lucene.analysis.pt

# Class RSLPStemmerBase.RuleWithSetExceptions

java.lang.Object
org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule
org.apache.lucene.analysis.pt.RSLPStemmerBase.RuleWithSetExceptions

Enclosing class:
  `RSLPStemmerBase`

protected static class RSLPStemmerBase.RuleWithSetExceptions extends RSLPStemmerBase.Rule
A rule with a set of whole-word exceptions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final CharArraySet`
  `exceptions`

  ### Fields inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule

  `min, replacement, suffix`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuleWithSetExceptions(String suffix, int min, String replacement, String[] exceptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `matches(char[] s, int len)`

  ### Methods inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule

  `replace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### exceptions

    protected final CharArraySet exceptions

- ## Constructor Details

  - ### RuleWithSetExceptions

    public RuleWithSetExceptions(String suffix, int min, String replacement, String[] exceptions)

- ## Method Details

  - ### matches

    public boolean matches(char[] s, int len)
    Overrides:
      `matches` in class `RSLPStemmerBase.Rule`
    Returns:
      true if the word matches this rule.